callCC {base} | R Documentation

## Call With Current Continuation

### Description

A downward-only version of Scheme's call with current continuation.

### Usage

    callCC(fun)

### Arguments

`fun` | function of one argument, the exit procedure.

### Details

`callCC` provides a non-local exit mechanism that can be useful for early termination of a computation. `callCC` calls `fun` with one argument, an exit function. The exit function takes a single argument, the intended return value. If the body of `fun` calls the exit function then the call to `callCC` immediately returns, with the value supplied to the exit function as the value returned by `callCC`.

### Author(s)

Luke Tierney

### Examples

    # The following all return the value 1
    callCC(function(k) 1)
    callCC(function(k) k(1))
    callCC(function(k) {k(1); 2})
    callCC(function(k) repeat k(1))

[Package base version 3.6.0 Index]